| Home | Libraries | People | FAQ | More

##### basic_serial_port::cancel (2 of 2 overloads)

Cancel all asynchronous operations associated with the serial port.

    boost::system::error_code cancel(
        boost::system::error_code & ec);

This function causes all outstanding asynchronous read or write operations to finish immediately, and the handlers for cancelled operations will be passed the `boost::asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.